Bug 10787 - sparse file attribute can be set on directories
sparse file attribute can be set on directories
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-27 12:56 UTC by David Disseldorp
Modified: 2014-10-13 10:52 UTC (History)
1 user (show)

See Also:


Attachments
patch for v4-0-test branch, cherry-picked from master (1.54 KB, patch)
2014-08-28 11:32 UTC, David Disseldorp
jra: review+
ddiss: review? (asn)
Details
patch for v4-1-test branch, cherry-picked from master (1.54 KB, patch)
2014-08-28 11:32 UTC, David Disseldorp
jra: review+
ddiss: review? (asn)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2014-08-27 12:56:30 UTC
While looking at SMB sparse file handling, I noticed that a directory cannot be
assigned the sparse attribute on Windows SMB servers (tested against 2k12 and
2k8) via FSCTL_SET_SPARSE. However, Samba allows such a request, and retains
the flag when configured with "store dos attributes = yes".

Samba should be fixed to return NT_STATUS_INVALID_PARAMETER for
FSCTL_SET_SPARSE requests when the request handle refers to a directory.
Comment 1 David Disseldorp 2014-08-28 11:32:03 UTC
Created attachment 10235 [details]
patch for v4-0-test branch, cherry-picked from master
Comment 2 David Disseldorp 2014-08-28 11:32:59 UTC
Created attachment 10236 [details]
patch for v4-1-test branch, cherry-picked from master
Comment 3 Jeremy Allison 2014-08-28 15:54:05 UTC
Re-assigning to Karolin for inclusion in 4.1.next, 4.0.next. Thanks !
Jeremy.
Comment 4 Karolin Seeger 2014-09-01 19:30:12 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 5 Karolin Seeger 2014-09-03 07:30:18 UTC
Pushed to both branches.
Closing out bug report.

Thanks!